quoteEmailAnalytics
Requires permission sales:quote:read.
Email engagement for one quote: sends, opens, clicks and replies.
Errors: a failed call returns a GraphQL errors entry, not a field on the result, and data may be null or partial. Read the entry's extensions.code and message; every shape and code is in the Error reference.
Example:
- GraphQL
- cURL
query QuoteEmailAnalytics($quoteId: ID!) {
quoteEmailAnalytics(quoteId: $quoteId) {
avgResponseTimeHours
bounceCount
firstReplyAt
firstSentAt
lastSentAt
totalClicks
}
}
curl -X POST "https://<api-host>/graphql" \
-H "Content-Type: application/json" \
-H "Authorization: Bearer $ACCESS_TOKEN" \
--data @- <<'EOF'
{
"query": "query QuoteEmailAnalytics($quoteId: ID!) {\n quoteEmailAnalytics(quoteId: $quoteId) {\n avgResponseTimeHours\n bounceCount\n firstReplyAt\n firstSentAt\n lastSentAt\n totalClicks\n }\n}",
"variables": {
"quoteId": "id"
}
}
EOF
Variables:
{
"quoteId": "id"
}
Response:
{
"data": {
"quoteEmailAnalytics": {
"avgResponseTimeHours": 0,
"bounceCount": 0,
"firstReplyAt": "2025-01-15T00:00:00Z",
"firstSentAt": "2025-01-15T00:00:00Z",
"lastSentAt": "2025-01-15T00:00:00Z",
"totalClicks": 0
}
}
}
quoteEmailAnalytics(
quoteId: ID!
): QuoteEmailAnalytics!
Arguments
quoteEmailAnalytics.quoteId ● ID! non-null scalar
The ID of the quote.
Type
QuoteEmailAnalytics object
Email engagement for one quote.